/*!
 *   AdminLTE v2.4.0
 *   Author: Almsaeed Studio
 *  RTL[ED] By : Akram Ahmed
 *  Company : IT4DS Co.
 *  website : www.it4ds.com.eg 
 */
 .layout-boxed body,
 .layout-boxed html,
 body,
 html {
   height: 100%;
 }
 @font-face {
   font-family: Conv_GESSTwoLight;
   src: url(../font/GESSTwoLight.eot);
   src: local("?"), url(../font/GESSTwoLight.woff) format("woff"),
     url(../font/GESSTwoLight.ttf) format("truetype"),
     url(../font/GESSTwoLight.svg) format("svg");
   font-weight: 400;
   font-style: normal;
 }
 body,
 html {
   font-family: Conv_GESSTwoLight, "Droid Arabic Kufi", sans-serif;
 }
 .main-header .logo img {
   text-align: center;
   max-height: 50px;
 }
 @media (min-width: 768px) {
   .main-header .logo {
     float: right;
   }
 }
 .main-header .navbar {
   -webkit-transition: margin-right 0.3s ease-in-out;
   -o-transition: margin-right 0.3s ease-in-out;
   transition: margin-right 0.3s ease-in-out;
   margin-right: 230px;
   margin-left: 0 !important;
 }
 .layout-top-nav .main-header .navbar {
   margin-right: 0;
 }
 .main-header .sidebar-toggle {
   float: right;
 }
 .main-header .navbar-custom-menu,
 .main-header .navbar-right {
   float: left;
 }
 .navbar-custom-menu > .navbar-nav > li > .dropdown-menu {
   left: 0;
   right: auto;
 }
 .navbar-nav > .messages-menu > .dropdown-menu > li .menu > li > a > h4 > small {
   left: 0;
   right: 100%;
 }
 .control-sidebar.control-sidebar-open,
 .control-sidebar.control-sidebar-open + .control-sidebar-bg {
   left: 0 !important;
   right: auto;
   margin: 10px 0;
   padding: 35px 10px;
 }
 .control-sidebar,
 .control-sidebar-bg {
   left: -230px;
   -webkit-transition: left 0.3s ease-in-out;
   -o-transition: left 0.3s ease-in-out;
   transition: left 0.3s ease-in-out;
 }
 .control-sidebar-menu .menu-icon {
   float: right;
 }
 .control-sidebar-menu .menu-info {
   margin-right: 45px;
 }
 .main-sidebar {
   right: 0;
   left: auto;
 }
 .sidebar-menu li > a > .pull-right-container {
   left: 10px;
 }
 .sidebar-menu li > a > .fa-angle-left,
 .sidebar-menu li > a > .pull-right-container > .fa-angle-left {
   margin-left: 10px;
   margin-right: 0;
 }
 .sidebar-mini:not(.sidebar-mini-expand-feature).sidebar-collapse
   .sidebar-menu
   > li:hover
   > .treeview-menu {
   margin-right: 0;
 }
 .sidebar-mini:not(.sidebar-mini-expand-feature).sidebar-collapse
   .sidebar-menu
   > li:hover
   > .treeview-menu,
 .sidebar-mini:not(.sidebar-mini-expand-feature).sidebar-collapse
   .sidebar-menu
   > li:hover
   > a
   > span:not(.pull-right) {
   right: 50px;
   left: auto;
 }
 .sidebar-mini:not(.sidebar-mini-expand-feature).sidebar-collapse
   .sidebar-menu
   > li:hover
   > a
   > span {
   margin-right: -3px;
   padding: 12px 20px 12px 5px;
 }
 .sidebar-mini:not(.sidebar-mini-expand-feature).sidebar-collapse
   .sidebar-menu
   > li:hover
   > a
   > .pull-right-container {
   float: left;
   right: 180px !important;
 }
 .box-header > .box-tools,
 .small-box .icon {
   right: auto;
   left: 10px;
 }
 .treeview-menu {
   padding: 0 5px 0 0;
 }
 .treeview-menu .treeview-menu {
   padding-right: 20px;
   padding-left: 0;
 }
 .content-wrapper,
 .main-footer {
   margin-right: 230px;
   margin-left: 0 !important;
 }
 .content-header {
   padding: 15px;
 }
 .content-header > h1 {
   margin: 0;
   font-size: 24px;
 }
 .content-header > h1 > small {
   font-size: 15px;
   display: inline-block;
   padding-right: 4px;
   font-weight: 300;
 }
 .content-header > .breadcrumb {
   float: left;
   position: absolute;
   top: 15px;
   left: 10px;
   right: auto;
 }
 .content-header > .breadcrumb > li > a > .fa,
 .content-header > .breadcrumb > li > a > .glyphicon,
 .content-header > .breadcrumb > li > a > .ion {
   margin-left: 5px;
 }
 .nav-tabs-custom > .nav-tabs.pull-right > li {
   float: left;
 }
 .todo-list > li .tools {
   float: left;
 }
 .chat .item > .message {
   margin-right: 55px;
 }
 .users-list > li {
   float: right !important;
 }
 .skin-aqua .sidebar-menu > li.active > a {
   border-right-color: #3c8dbc;
 }
 .skin-aqua .sidebar-menu > li > a {
   border-right: 3px solid transparent;
   border-left: 0 solid transparent !important;
 }
 .skin-black .sidebar-menu > li.active > a {
   border-right-color: #3c8dbc;
 }
 .skin-black .sidebar-menu > li > a {
   border-right: 3px solid transparent;
   border-left: 0 solid transparent !important;
 }
 .skin-black-light .sidebar-menu > li.active > a {
   border-right-color: #3c8dbc;
 }
 .skin-black-light .sidebar-menu > li > a {
   border-right: 3px solid transparent;
   border-left: 0 solid transparent !important;
 }
 @media (min-width: 768px) {
   .sidebar-collapse .content-wrapper,
   .sidebar-collapse .main-footer {
     margin-right: 0 !important;
   }
 }
 @media (max-width: 767px) {
   .content-wrapper,
   .main-footer {
     margin-right: 0 !important;
   }
   .sidebar-open .content-wrapper,
   .sidebar-open .main-footer {
     -webkit-transform: translate(-230px, 0);
     -ms-transform: translate(-230px, 0);
     -o-transform: translate(-230px, 0);
     transform: translate(-230px, 0);
   }
   .main-header .navbar-right {
     float: right;
   }
 }
 @media (max-width: 1991px) {
   .content-header > .breadcrumb {
     position: relative;
     top: 0;
     left: 0;
     right: auto;
     float: none;
     background: #d2d6de;
     padding-right: 10px;
   }
 }
 @media (max-width: 991px) {
   .navbar-custom-menu .navbar-nav > li {
     float: right;
   }
   .navbar-custom-menu .navbar-nav {
     margin: 0;
     float: right;
   }
 }
 @media (max-width: 767px) {
   .main-header .logo,
   .main-header .navbar {
     width: 100%;
     float: none;
   }
   .main-header .navbar {
     margin: 0;
   }
   .main-header .navbar-custom-menu {
     float: left;
   }
   .main-sidebar {
     -webkit-transform: translate(230px, 0);
     -ms-transform: translate(230px, 0);
     -o-transform: translate(230px, 0);
     transform: translate(230px, 0);
   }
 }
 @media (max-width: 991px) {
   .navbar-collapse.pull-left {
     float: none !important;
   }
   .navbar-collapse.pull-left + .navbar-custom-menu {
     display: block;
     position: absolute;
     top: 0;
     left: 40px;
     right: auto;
   }
 }
 @media (min-width: 768px) {
   .sidebar-collapse .main-sidebar {
     -webkit-transform: translate(230px, 0);
     -ms-transform: translate(230px, 0);
     -o-transform: translate(230px, 0);
     transform: translate(230px, 0);
   }
   .sidebar-mini.sidebar-collapse .content-wrapper,
   .sidebar-mini.sidebar-collapse .main-footer,
   .sidebar-mini.sidebar-collapse .right-side {
     margin-right: 50px !important;
     margin-left: 0 !important;
     z-index: 840;
   }
   .sidebar-mini.sidebar-collapse .sidebar-menu > li > a {
     margin-right: 0;
   }
   .sidebar-mini.sidebar-collapse .sidebar-menu > li > a > span {
     border-top-left-radius: 4px;
   }
   .sidebar-mini.sidebar-collapse .sidebar-menu > li:not(.treeview) > a > span,
   .sidebar-mini.sidebar-collapse .sidebar-menu > li > .treeview-menu {
     border-bottom-left-radius: 4px;
   }
   .sidebar-mini.sidebar-collapse .main-header .navbar {
     margin-right: 50px;
   }
   .control-sidebar-open .content-wrapper,
   .control-sidebar-open .main-footer,
   .control-sidebar-open .right-side {
     margin-left: 230px;
   }
 }
 @media (max-width: 767px) {
   .sidebar-open .main-sidebar {
     -webkit-transform: translate(0, 0);
     -ms-transform: translate(0, 0);
     -o-transform: translate(0, 0);
     transform: translate(0, 0);
   }
   .navbar-nav > .user-menu .user-image {
     float: none;
     margin-left: 0;
     margin-top: -8px;
     line-height: 10px;
   }
 }
 @media (max-width: 991px) {
   .navbar-custom-menu > .navbar-nav {
     float: left;
   }
   .navbar-custom-menu > .navbar-nav > li > .dropdown-menu {
     position: absolute;
     left: 5%;
     right: auto;
     border: 1px solid #ddd;
     background: #fff;
   }
   .chart-legend > li {
     float: right;
     margin-left: 10px;
   }
   .error-page > .headline {
     float: none;
     text-align: center;
   }
   .error-page > .error-content {
     margin-right: 0;
   }
 }
 .control-sidebar-heading {
   font-weight: 400;
   font-size: 16px;
   padding: 10px 0;
   margin-bottom: 10px;
   text-align: center;
 }
 .control-sidebar-subheading {
   display: block;
   font-weight: 400;
   font-size: 14px;
 }
 .popover {
   direction: rtl;
 }
 .scrolltop {
   left: 10px !important;
   right: auto !important;
 }
 .scroll {
   left: 20px !important;
   right: auto !important;
 }
 .list-inline,
 .list-unstyled {
   padding-right: 0;
   padding-left: initial;
 }
 .btn-group-vertical > .btn,
 .btn-group > .btn,
 .btn-group > .btn-group,
 .btn-toolbar .btn,
 .btn-toolbar .btn-group,
 .btn-toolbar .input-group,
 .col-xs-1,
 .col-xs-10,
 .col-xs-11,
 .col-xs-12,
 .col-xs-2,
 .col-xs-3,
 .col-xs-4,
 .col-xs-5,
 .col-xs-6,
 .col-xs-7,
 .col-xs-8,
 .col-xs-9 {
   float: right;
 }
 html {
   direction: rtl;
   font-family: Tahoma, Arial, sans-serif;
 }
 .carousel-control .icon-next,
 .carousel-control .icon-prev,
 .popover,
 .tooltip,
 body {
   direction: rtl;
   font-family: Tahoma, Arial, sans-serif;
   font-size: 14px;
 }
 .glyphicon-align-left:before {
   content: "\e054";
 }
 .glyphicon-align-right:before {
   content: "\e052";
 }
 .glyphicon-chevron-left:before {
   content: "\e080";
 }
 .glyphicon-chevron-right:before {
   content: "\e079";
 }
 .glyphicon-arrow-left:before {
   content: "\e092";
 }
 .glyphicon-arrow-right:before {
   content: "\e091";
 }
 .glyphicon-hand-right:before {
   content: "\e128";
 }
 .glyphicon-hand-left:before {
   content: "\e127";
 }
 .glyphicon-circle-arrow-right:before {
   content: "\e132";
 }
 .glyphicon-circle-arrow-left:before {
   content: "\e131";
 }
 .glyphicon-object-align-left:before {
   content: "\e249";
 }
 .glyphicon-object-align-right:before {
   content: "\e247";
 }
 .glyphicon-triangle-right:before {
   content: "\e251";
 }
 .glyphicon-triangle-left:before {
   content: "\e250";
 }
 .glyphicon-menu-left:before {
   content: "\e258";
 }
 .glyphicon-menu-right:before {
   content: "\e257";
 }
 .text-left {
   text-align: right;
 }
 .text-right {
   text-align: left;
 }
 .list-inline {
   margin-right: -5px;
   margin-left: initial;
 }
 dd {
   margin-right: 0;
   margin-left: initial;
 }
 @media (min-width: 768px) {
   .dl-horizontal dt {
     float: right;
     clear: right;
     text-align: left;
   }
   .dl-horizontal dd {
     margin-right: 180px;
     margin-left: initial;
   }
 }
 blockquote {
   border-right: 5px solid #eee;
   border-left: initial;
 }
 .blockquote-reverse,
 blockquote.pull-right {
   padding-left: 0;
   padding-right: 15px;
   text-align: right;
   border-left: 0;
   border-right: 5px solid #eee;
 }
 .checkbox label,
 .checkbox-inline,
 .radio label,
 .radio-inline {
   padding-left: initial;
   padding-right: 20px;
 }
 code,
 kbd,
 pre,
 samp {
   direction: ltr;
 }
 .col-xs-pull-12 {
   right: auto;
   left: 100%;
 }
 .col-xs-pull-11 {
   right: auto;
   left: 91.66666667%;
 }
 .col-xs-pull-10 {
   right: auto;
   left: 83.33333333%;
 }
 .col-xs-pull-9 {
   right: auto;
   left: 75%;
 }
 .col-xs-pull-8 {
   right: auto;
   left: 66.66666667%;
 }
 .col-xs-pull-7 {
   right: auto;
   left: 58.33333333%;
 }
 .col-xs-pull-6 {
   right: auto;
   left: 50%;
 }
 .col-xs-pull-5 {
   right: auto;
   left: 41.66666667%;
 }
 .col-xs-pull-4 {
   right: auto;
   left: 33.33333333%;
 }
 .col-xs-pull-3 {
   right: auto;
   left: 25%;
 }
 .col-xs-pull-2 {
   right: auto;
   left: 16.66666667%;
 }
 .col-xs-pull-1 {
   right: auto;
   left: 8.33333333%;
 }
 .col-xs-pull-0 {
   right: auto;
   left: auto;
 }
 .col-xs-push-12 {
   left: auto;
   right: 100%;
 }
 .col-xs-push-11 {
   left: auto;
   right: 91.66666667%;
 }
 .col-xs-push-10 {
   left: auto;
   right: 83.33333333%;
 }
 .col-xs-push-9 {
   left: auto;
   right: 75%;
 }
 .col-xs-push-8 {
   left: auto;
   right: 66.66666667%;
 }
 .col-xs-push-7 {
   left: auto;
   right: 58.33333333%;
 }
 .col-xs-push-6 {
   left: auto;
   right: 50%;
 }
 .col-xs-push-5 {
   left: auto;
   right: 41.66666667%;
 }
 .col-xs-push-4 {
   left: auto;
   right: 33.33333333%;
 }
 .col-xs-push-3 {
   left: auto;
   right: 25%;
 }
 .col-xs-push-2 {
   left: auto;
   right: 16.66666667%;
 }
 .col-xs-push-1 {
   left: auto;
   right: 8.33333333%;
 }
 .col-xs-push-0 {
   right: auto;
   left: auto;
 }
 .col-xs-offset-12 {
   margin-left: initial;
   margin-right: 100%;
 }
 .col-xs-offset-11 {
   margin-left: initial;
   margin-right: 91.66666667%;
 }
 .col-xs-offset-10 {
   margin-left: initial;
   margin-right: 83.33333333%;
 }
 .col-xs-offset-9 {
   margin-left: initial;
   margin-right: 75%;
 }
 .col-xs-offset-8 {
   margin-left: initial;
   margin-right: 66.66666667%;
 }
 .col-xs-offset-7 {
   margin-left: initial;
   margin-right: 58.33333333%;
 }
 .col-xs-offset-6 {
   margin-left: initial;
   margin-right: 50%;
 }
 .col-xs-offset-5 {
   margin-left: initial;
   margin-right: 41.66666667%;
 }
 .col-xs-offset-4 {
   margin-left: initial;
   margin-right: 33.33333333%;
 }
 .col-xs-offset-3 {
   margin-left: initial;
   margin-right: 25%;
 }
 .col-xs-offset-2 {
   margin-left: initial;
   margin-right: 16.66666667%;
 }
 .col-xs-offset-1 {
   margin-left: initial;
   margin-right: 8.33333333%;
 }
 .col-xs-offset-0 {
   margin-left: initial;
   margin-right: 0;
 }
 @media (min-width: 768px) {
   .col-sm-offset-0,
   .col-sm-offset-1,
   .col-sm-offset-10,
   .col-sm-offset-11,
   .col-sm-offset-12,
   .col-sm-offset-2,
   .col-sm-offset-3,
   .col-sm-offset-4,
   .col-sm-offset-5,
   .col-sm-offset-7,
   .col-sm-offset-8,
   .col-sm-offset-9 {
     margin-left: initial;
   }
   .col-sm-1,
   .col-sm-10,
   .col-sm-11,
   .col-sm-12,
   .col-sm-2,
   .col-sm-3,
   .col-sm-4,
   .col-sm-5,
   .col-sm-6,
   .col-sm-7,
   .col-sm-8,
   .col-sm-9 {
     float: right;
   }
   .col-sm-pull-12 {
     right: auto;
     left: 100%;
   }
   .col-sm-pull-11 {
     right: auto;
     left: 91.66666667%;
   }
   .col-sm-pull-10 {
     right: auto;
     left: 83.33333333%;
   }
   .col-sm-pull-9 {
     right: auto;
     left: 75%;
   }
   .col-sm-pull-8 {
     right: auto;
     left: 66.66666667%;
   }
   .col-sm-pull-7 {
     right: auto;
     left: 58.33333333%;
   }
   .col-sm-pull-6 {
     right: auto;
     left: 50%;
   }
   .col-sm-pull-5 {
     right: auto;
     left: 41.66666667%;
   }
   .col-sm-pull-4 {
     right: auto;
     left: 33.33333333%;
   }
   .col-sm-pull-3 {
     right: auto;
     left: 25%;
   }
   .col-sm-pull-2 {
     right: auto;
     left: 16.66666667%;
   }
   .col-sm-pull-1 {
     right: auto;
     left: 8.33333333%;
   }
   .col-sm-pull-0 {
     right: auto;
     left: auto;
   }
   .col-sm-push-12 {
     left: auto;
     right: 100%;
   }
   .col-sm-push-11 {
     left: auto;
     right: 91.66666667%;
   }
   .col-sm-push-10 {
     left: auto;
     right: 83.33333333%;
   }
   .col-sm-push-9 {
     left: auto;
     right: 75%;
   }
   .col-sm-push-8 {
     left: auto;
     right: 66.66666667%;
   }
   .col-sm-push-7 {
     left: auto;
     right: 58.33333333%;
   }
   .col-sm-push-6 {
     left: auto;
     right: 50%;
   }
   .col-sm-push-5 {
     left: auto;
     right: 41.66666667%;
   }
   .col-sm-push-4 {
     left: auto;
     right: 33.33333333%;
   }
   .col-sm-push-3 {
     left: auto;
     right: 25%;
   }
   .col-sm-push-2 {
     left: auto;
     right: 16.66666667%;
   }
   .col-sm-push-1 {
     left: auto;
     right: 8.33333333%;
   }
   .col-sm-push-0 {
     left: auto;
     right: auto;
   }
   .col-sm-offset-12 {
     margin-right: 100%;
   }
   .col-sm-offset-11 {
     margin-right: 91.66666667%;
   }
   .col-sm-offset-10 {
     margin-right: 83.33333333%;
   }
   .col-sm-offset-9 {
     margin-right: 75%;
   }
   .col-sm-offset-8 {
     margin-right: 66.66666667%;
   }
   .col-sm-offset-7 {
     margin-right: 58.33333333%;
   }
   .col-sm-offset-6 {
     margin-left: initial;
     margin-right: 50%;
   }
   .col-sm-offset-5 {
     margin-right: 41.66666667%;
   }
   .col-sm-offset-4 {
     margin-right: 33.33333333%;
   }
   .col-sm-offset-3 {
     margin-right: 25%;
   }
   .col-sm-offset-2 {
     margin-right: 16.66666667%;
   }
   .col-sm-offset-1 {
     margin-right: 8.33333333%;
   }
   .col-sm-offset-0 {
     margin-right: 0;
   }
 }
 @media (min-width: 992px) {
   .col-md-offset-0,
   .col-md-offset-1,
   .col-md-offset-10,
   .col-md-offset-11,
   .col-md-offset-12,
   .col-md-offset-2,
   .col-md-offset-3,
   .col-md-offset-4,
   .col-md-offset-5,
   .col-md-offset-7,
   .col-md-offset-8,
   .col-md-offset-9 {
     margin-left: initial;
   }
   .col-md-1,
   .col-md-10,
   .col-md-11,
   .col-md-12,
   .col-md-2,
   .col-md-3,
   .col-md-4,
   .col-md-5,
   .col-md-6,
   .col-md-7,
   .col-md-8,
   .col-md-9 {
     float: right;
   }
   .col-md-pull-12 {
     right: auto;
     left: 100%;
   }
   .col-md-pull-11 {
     right: auto;
     left: 91.66666667%;
   }
   .col-md-pull-10 {
     right: auto;
     left: 83.33333333%;
   }
   .col-md-pull-9 {
     right: auto;
     left: 75%;
   }
   .col-md-pull-8 {
     right: auto;
     left: 66.66666667%;
   }
   .col-md-pull-7 {
     right: auto;
     left: 58.33333333%;
   }
   .col-md-pull-6 {
     right: auto;
     left: 50%;
   }
   .col-md-pull-5 {
     right: auto;
     left: 41.66666667%;
   }
   .col-md-pull-4 {
     right: auto;
     left: 33.33333333%;
   }
   .col-md-pull-3 {
     right: auto;
     left: 25%;
   }
   .col-md-pull-2 {
     right: auto;
     left: 16.66666667%;
   }
   .col-md-pull-1 {
     right: auto;
     left: 8.33333333%;
   }
   .col-md-pull-0 {
     right: auto;
     left: auto;
   }
   .col-md-push-12 {
     left: auto;
     right: 100%;
   }
   .col-md-push-11 {
     left: auto;
     right: 91.66666667%;
   }
   .col-md-push-10 {
     left: auto;
     right: 83.33333333%;
   }
   .col-md-push-9 {
     left: auto;
     right: 75%;
   }
   .col-md-push-8 {
     left: auto;
     right: 66.66666667%;
   }
   .col-md-push-7 {
     left: auto;
     right: 58.33333333%;
   }
   .col-md-push-6 {
     left: auto;
     right: 50%;
   }
   .col-md-push-5 {
     left: auto;
     right: 41.66666667%;
   }
   .col-md-push-4 {
     left: auto;
     right: 33.33333333%;
   }
   .col-md-push-3 {
     left: auto;
     right: 25%;
   }
   .col-md-push-2 {
     left: auto;
     right: 16.66666667%;
   }
   .col-md-push-1 {
     left: auto;
     right: 8.33333333%;
   }
   .col-md-push-0 {
     left: auto;
     right: auto;
   }
   .col-md-offset-12 {
     margin-right: 100%;
   }
   .col-md-offset-11 {
     margin-right: 91.66666667%;
   }
   .col-md-offset-10 {
     margin-right: 83.33333333%;
   }
   .col-md-offset-9 {
     margin-right: 75%;
   }
   .col-md-offset-8 {
     margin-right: 66.66666667%;
   }
   .col-md-offset-7 {
     margin-right: 58.33333333%;
   }
   .col-md-offset-6 {
     margin-left: initial;
     margin-right: 50%;
   }
   .col-md-offset-5 {
     margin-right: 41.66666667%;
   }
   .col-md-offset-4 {
     margin-right: 33.33333333%;
   }
   .col-md-offset-3 {
     margin-right: 25%;
   }
   .col-md-offset-2 {
     margin-right: 16.66666667%;
   }
   .col-md-offset-1 {
     margin-right: 8.33333333%;
   }
   .col-md-offset-0 {
     margin-right: 0;
   }
 }
 @media (min-width: 1200px) {
   .col-lg-offset-0,
   .col-lg-offset-1,
   .col-lg-offset-10,
   .col-lg-offset-11,
   .col-lg-offset-12,
   .col-lg-offset-2,
   .col-lg-offset-3,
   .col-lg-offset-4,
   .col-lg-offset-5,
   .col-lg-offset-7,
   .col-lg-offset-8,
   .col-lg-offset-9 {
     margin-left: initial;
   }
   .col-lg-1,
   .col-lg-10,
   .col-lg-11,
   .col-lg-12,
   .col-lg-2,
   .col-lg-3,
   .col-lg-4,
   .col-lg-5,
   .col-lg-6,
   .col-lg-7,
   .col-lg-8,
   .col-lg-9 {
     float: right;
   }
   .col-lg-pull-12 {
     right: auto;
     left: 100%;
   }
   .col-lg-pull-11 {
     right: auto;
     left: 91.66666667%;
   }
   .col-lg-pull-10 {
     right: auto;
     left: 83.33333333%;
   }
   .col-lg-pull-9 {
     right: auto;
     left: 75%;
   }
   .col-lg-pull-8 {
     right: auto;
     left: 66.66666667%;
   }
   .col-lg-pull-7 {
     right: auto;
     left: 58.33333333%;
   }
   .col-lg-pull-6 {
     right: auto;
     left: 50%;
   }
   .col-lg-pull-5 {
     right: auto;
     left: 41.66666667%;
   }
   .col-lg-pull-4 {
     right: auto;
     left: 33.33333333%;
   }
   .col-lg-pull-3 {
     right: auto;
     left: 25%;
   }
   .col-lg-pull-2 {
     right: auto;
     left: 16.66666667%;
   }
   .col-lg-pull-1 {
     right: auto;
     left: 8.33333333%;
   }
   .col-lg-pull-0 {
     right: auto;
     left: auto;
   }
   .col-lg-push-12 {
     left: auto;
     right: 100%;
   }
   .col-lg-push-11 {
     left: auto;
     right: 91.66666667%;
   }
   .col-lg-push-10 {
     left: auto;
     right: 83.33333333%;
   }
   .col-lg-push-9 {
     left: auto;
     right: 75%;
   }
   .col-lg-push-8 {
     left: auto;
     right: 66.66666667%;
   }
   .col-lg-push-7 {
     left: auto;
     right: 58.33333333%;
   }
   .col-lg-push-6 {
     left: auto;
     right: 50%;
   }
   .col-lg-push-5 {
     left: auto;
     right: 41.66666667%;
   }
   .col-lg-push-4 {
     left: auto;
     right: 33.33333333%;
   }
   .col-lg-push-3 {
     left: auto;
     right: 25%;
   }
   .col-lg-push-2 {
     left: auto;
     right: 16.66666667%;
   }
   .col-lg-push-1 {
     left: auto;
     right: 8.33333333%;
   }
   .col-lg-push-0 {
     left: auto;
     right: auto;
   }
   .col-lg-offset-12 {
     margin-right: 100%;
   }
   .col-lg-offset-11 {
     margin-right: 91.66666667%;
   }
   .col-lg-offset-10 {
     margin-right: 83.33333333%;
   }
   .col-lg-offset-9 {
     margin-right: 75%;
   }
   .col-lg-offset-8 {
     margin-right: 66.66666667%;
   }
   .col-lg-offset-7 {
     margin-right: 58.33333333%;
   }
   .col-lg-offset-6 {
     margin-left: initial;
     margin-right: 50%;
   }
   .col-lg-offset-5 {
     margin-right: 41.66666667%;
   }
   .col-lg-offset-4 {
     margin-right: 33.33333333%;
   }
   .col-lg-offset-3 {
     margin-right: 25%;
   }
   .col-lg-offset-2 {
     margin-right: 16.66666667%;
   }
   .col-lg-offset-1 {
     margin-right: 8.33333333%;
   }
   .col-lg-offset-0 {
     margin-right: 0;
   }
 }
 caption,
 th {
   text-align: right;
 }
 @media screen and (max-width: 767px) {
   .table-responsive > .table-bordered > tbody > tr > td:first-child,
   .table-responsive > .table-bordered > tbody > tr > th:first-child,
   .table-responsive > .table-bordered > tfoot > tr > td:first-child,
   .table-responsive > .table-bordered > tfoot > tr > th:first-child,
   .table-responsive > .table-bordered > thead > tr > td:first-child,
   .table-responsive > .table-bordered > thead > tr > th:first-child {
     border-left: initial;
     border-right: 0;
   }
   .table-responsive > .table-bordered > tbody > tr > td:last-child,
   .table-responsive > .table-bordered > tbody > tr > th:last-child,
   .table-responsive > .table-bordered > tfoot > tr > td:last-child,
   .table-responsive > .table-bordered > tfoot > tr > th:last-child,
   .table-responsive > .table-bordered > thead > tr > td:last-child,
   .table-responsive > .table-bordered > thead > tr > th:last-child {
     border-right: initial;
     border-left: 0;
   }
 }
 .checkbox input[type="checkbox"],
 .checkbox-inline input[type="checkbox"],
 .radio input[type="radio"],
 .radio-inline input[type="radio"] {
   margin-left: initial;
   margin-right: -20px;
 }
 .checkbox-inline + .checkbox-inline,
 .radio-inline + .radio-inline {
   margin-left: initial;
   margin-right: 10px;
 }
 .has-feedback .form-control {
   padding-right: initial;
   padding-left: 42.5px;
 }
 .form-control-feedback {
   right: auto;
   left: 0;
 }
 @media (min-width: 768px) {
   .form-inline .checkbox label,
   .form-inline .radio label {
     padding-left: initial;
     padding-right: 0;
   }
   .form-inline .checkbox input[type="checkbox"],
   .form-inline .radio input[type="radio"] {
     margin-left: initial;
     margin-right: 0;
   }
   .form-horizontal .control-label {
     text-align: left;
   }
 }
 .dropdown-menu,
 button.list-group-item {
   text-align: right;
 }
 .form-horizontal .has-feedback .form-control-feedback {
   right: auto;
   left: 15px;
 }
 .btn {
   border-radius: 4px;
 }
 .caret {
   margin-left: initial;
   margin-right: 2px;
 }
 .dropdown-menu {
   /* left: initial; */
   right: auto;
   float: right;
 }
 .dropdown-menu-right,
 .dropdown-menu.pull-right {
  left: auto;
   right: 0;
 }
 .dropdown-menu-left {
   right: 0;
   left: auto;
 }
 .pull-right > .dropdown-menu {
   right: auto;
   left: 0;
 }
 @media (min-width: 768px) {
   .navbar-right .dropdown-menu,
   .navbar-right .dropdown-menu-left {
     right: auto;
     left: auto;
   }
 }
 .btn-group-justified > .btn-group .dropdown-menu,
 .nav-tabs.nav-justified > .dropdown .dropdown-menu {
   left: initial;
   right: auto;
 }
 .btn-group .btn + .btn,
 .btn-group .btn + .btn-group,
 .btn-group .btn-group + .btn,
 .btn-group .btn-group + .btn-group {
   margin-left: initial;
   margin-right: -1px;
 }
 .btn-toolbar {
   margin-left: initial;
   margin-right: -5px;
 }
 .btn-toolbar > .btn,
 .btn-toolbar > .btn-group,
 .btn-toolbar > .input-group {
   margin-left: 0;
   margin-right: 5px;
 }
 .btn .caret,
 .btn-group-vertical > .btn + .btn,
 .btn-group-vertical > .btn + .btn-group,
 .btn-group-vertical > .btn-group + .btn,
 .btn-group-vertical > .btn-group + .btn-group,
 .btn-group > .btn:first-child {
   margin-right: 0;
   margin-left: initial;
 }
 .btn-group > .btn:first-child:not(:last-child):not(.dropdown-toggle) {
   border-radius: 0 4px 4px 0;
 }
 .btn-group > .btn:last-child:not(:first-child),
 .btn-group > .dropdown-toggle:not(:first-child) {
   border-radius: 4px 0 0 4px;
 }
 .btn-group > .btn-group:not(:first-child):not(:last-child) > .btn {
   border-radius: 0;
 }
 .btn-group-justified > .btn,
 .btn-group-justified > .btn-group,
 .btn-group-vertical > .btn,
 .btn-group-vertical > .btn-group,
 .btn-group-vertical > .btn-group > .btn {
   float: none;
 }
 .btn-group > .btn-group:first-child:not(:last-child) > .btn:last-child,
 .btn-group > .btn-group:first-child:not(:last-child) > .dropdown-toggle {
   border-radius: 0 4px 4px 0;
 }
 .btn-group > .btn-group:last-child:not(:first-child) > .btn:first-child {
   border-radius: 4px 0 0 4px;
 }
 .input-group-btn:first-child > .btn,
 .input-group-btn:first-child > .btn-group,
 .nav-tabs > li > a {
   margin-right: initial;
 }
 .btn-group-vertical > .btn:not(:first-child):not(:last-child) {
   border-radius: 0;
 }
 .btn-group-vertical > .btn:first-child:not(:last-child) {
   border-radius: 4px 4px 0 0;
 }
 .btn-group-vertical > .btn:last-child:not(:first-child) {
   border-radius: 0 0 4px 4px;
 }
 .btn-group-vertical > .btn-group:not(:first-child):not(:last-child) > .btn {
   border-radius: 0;
 }
 .btn-group-vertical > .btn-group:first-child:not(:last-child) > .btn:last-child,
 .btn-group-vertical
   > .btn-group:first-child:not(:last-child)
   > .dropdown-toggle {
   border-bottom-right-radius: 0;
   border-bottom-left-radius: 0;
 }
 .btn-group-vertical
   > .btn-group:last-child:not(:first-child)
   > .btn:first-child {
   border-top-left-radius: 0;
   border-top-right-radius: 0;
 }
 .input-group[class*="col-"] {
   float: none;
   padding-right: 0;
   padding-left: 0;
 }
 .input-group .form-control,
 .nav-tabs > li {
   float: right;
 }
 .input-group .form-control:first-child,
 .input-group-addon:first-child,
 .input-group-btn:first-child > .btn,
 .input-group-btn:first-child > .btn-group > .btn,
 .input-group-btn:first-child > .dropdown-toggle {
   border-radius: 0 4px 4px 0;
 }
 .input-group-btn:last-child > .btn-group:not(:last-child) > .btn,
 .input-group-btn:last-child > .btn:not(:last-child):not(.dropdown-toggle) {
   border-radius: 0;
 }
 .input-group-addon:first-child {
   border-right: 1px solid #ccc;
   border-left: 0;
 }
 .input-group .form-control:last-child,
 .input-group-addon:last-child,
 .input-group-btn:last-child > .btn,
 .input-group-btn:last-child > .btn-group > .btn,
 .input-group-btn:last-child > .dropdown-toggle {
   border-radius: 4px 0 0 4px;
 }
 .input-group-btn:first-child > .btn-group:not(:first-child) > .btn,
 .input-group-btn:first-child > .btn:not(:first-child) {
   border-radius: 0;
 }
 .input-group-addon:last-child {
   border-left: 1px solid #ccc;
   border-right: 0;
 }
 .input-group-btn > .btn + .btn {
   margin-left: initial;
 }
 .input-group-btn:last-child > .btn,
 .input-group-btn:last-child > .btn-group {
   margin-left: initial;
 }
 .nav {
   padding-left: initial;
   padding-right: 0;
 }
 .nav-tabs > li > a {
   margin-left: 2px;
 }
 .nav-tabs.nav-justified > li {
   float: none;
 }
 .nav-tabs.nav-justified > li > a {
   margin-right: initial;
   margin-left: 0;
 }
 .nav-pills > li {
   float: right;
 }
 .nav-pills > li + li {
   margin-left: initial;
   margin-right: 2px;
 }
 .nav-justified > li,
 .nav-stacked > li {
   float: none;
 }
 .nav-stacked > li + li {
   margin-left: initial;
   margin-right: 0;
 }
 .nav-justified > .dropdown .dropdown-menu {
   right: initial;
   left: auto;
 }
 .nav-tabs-justified > li > a {
   margin-right: initial;
   margin-left: 0;
 }
 .navbar-brand {
   float: right;
 }
 @media (min-width: 768px) {
   .navbar-header {
     float: right;
   }
   .navbar > .container .navbar-brand,
   .navbar > .container-fluid .navbar-brand {
     margin-left: initial;
     margin-right: -15px;
   }
   .navbar-toggle {
     display: none;
   }
 }
 .navbar-toggle {
   float: left;
   margin-right: initial;
   margin-left: 15px;
 }
 @media (max-width: 767px) {
   .navbar-nav .open .dropdown-menu {
     float: none;
   }
   .navbar-nav .open .dropdown-menu .dropdown-header,
   .navbar-nav .open .dropdown-menu > li > a {
     padding: 5px 25px 5px 15px;
   }
 }
 .pager,
 .pagination {
   padding-left: initial;
   padding-right: 0;
 }
 @media (min-width: 768px) {
   .navbar-nav,
   .navbar-nav > li {
     float: right;
   }
   .navbar-form .checkbox label,
   .navbar-form .radio label {
     padding-left: initial;
     padding-right: 0;
   }
   .navbar-form .checkbox input[type="checkbox"],
   .navbar-form .radio input[type="radio"] {
     margin-left: initial;
     margin-right: 0;
   }
   .navbar-text {
     float: right;
   }
   .navbar-left {
     float: right !important;
   }
   .navbar-right {
     float: left !important;
     margin-right: initial;
     margin-left: -15px;
   }
   .navbar-right ~ .navbar-right {
     margin-right: initial;
     margin-left: 0;
   }
 }
 .pagination > li > a,
 .pagination > li > span {
   float: right;
   margin-left: initial;
   margin-right: -1px;
 }
 .pagination > li:first-child > a,
 .pagination > li:first-child > span {
   margin-left: initial;
   margin-right: 0;
   border-top-left-radius: initial;
   border-top-right-radius: 4px;
   border-bottom-left-radius: initial;
   border-bottom-right-radius: 4px;
 }
 .pagination > li:last-child > a,
 .pagination > li:last-child > span {
   border-top-right-radius: initial;
   border-top-left-radius: 4px;
   border-bottom-right-radius: initial;
   border-bottom-left-radius: 4px;
 }
 .pagination-lg > li:first-child > a,
 .pagination-lg > li:first-child > span {
   border-top-left-radius: initial;
   border-top-right-radius: 6px;
   border-bottom-left-radius: initial;
   border-bottom-right-radius: 6px;
 }
 .pagination-lg > li:last-child > a,
 .pagination-lg > li:last-child > span {
   border-top-right-radius: initial;
   border-top-left-radius: 6px;
   border-bottom-right-radius: initial;
   border-bottom-left-radius: 6px;
 }
 .pagination-sm > li:first-child > a,
 .pagination-sm > li:first-child > span {
   border-top-left-radius: initial;
   border-top-right-radius: 3px;
   border-bottom-left-radius: initial;
   border-bottom-right-radius: 3px;
 }
 .pagination-sm > li:last-child > a,
 .pagination-sm > li:last-child > span {
   border-top-right-radius: initial;
   border-top-left-radius: 3px;
   border-bottom-right-radius: initial;
   border-bottom-left-radius: 3px;
 }
 .pager .next > a,
 .pager .next > span {
   float: left;
 }
 .pager .previous > a,
 .pager .previous > span {
   float: right;
 }
 .list-group-item > .badge {
   float: left;
 }
 .list-group-item > .badge + .badge {
   margin-right: initial;
   margin-left: 5px;
 }
 .nav-pills > li > a > .badge {
   margin-left: initial;
   margin-right: 3px;
 }
 .alert-dismissable,
 .alert-dismissible {
   padding-right: initial;
   padding-left: 35px;
 }
 .alert-dismissable .close,
 .alert-dismissible .close {
   right: auto;
   left: -21px;
 }
 .progress-bar {
   float: right;
 }
 .media-right,
 .media > .pull-right {
   padding-left: initial;
   padding-right: 10px;
 }
 .media-left,
 .media > .pull-left {
   padding-right: initial;
   padding-left: 10px;
 }
 .carousel-indicators,
 .list-group,
 .media-list {
   padding-left: initial;
   padding-right: 0;
 }
 .panel
   > .table-responsive:first-child
   > .table:first-child
   > tbody:first-child
   > tr:first-child
   td:first-child,
 .panel
   > .table-responsive:first-child
   > .table:first-child
   > tbody:first-child
   > tr:first-child
   th:first-child,
 .panel
   > .table-responsive:first-child
   > .table:first-child
   > thead:first-child
   > tr:first-child
   td:first-child,
 .panel
   > .table-responsive:first-child
   > .table:first-child
   > thead:first-child
   > tr:first-child
   th:first-child,
 .panel > .table:first-child > tbody:first-child > tr:first-child td:first-child,
 .panel > .table:first-child > tbody:first-child > tr:first-child th:first-child,
 .panel > .table:first-child > thead:first-child > tr:first-child td:first-child,
 .panel
   > .table:first-child
   > thead:first-child
   > tr:first-child
   th:first-child {
   border-top-left-radius: initial;
   border-top-right-radius: 3px;
 }
 .panel
   > .table-responsive:first-child
   > .table:first-child
   > tbody:first-child
   > tr:first-child
   td:last-child,
 .panel
   > .table-responsive:first-child
   > .table:first-child
   > tbody:first-child
   > tr:first-child
   th:last-child,
 .panel
   > .table-responsive:first-child
   > .table:first-child
   > thead:first-child
   > tr:first-child
   td:last-child,
 .panel
   > .table-responsive:first-child
   > .table:first-child
   > thead:first-child
   > tr:first-child
   th:last-child,
 .panel > .table:first-child > tbody:first-child > tr:first-child td:last-child,
 .panel > .table:first-child > tbody:first-child > tr:first-child th:last-child,
 .panel > .table:first-child > thead:first-child > tr:first-child td:last-child,
 .panel > .table:first-child > thead:first-child > tr:first-child th:last-child {
   border-top-right-radius: initial;
   border-top-left-radius: 3px;
 }
 .panel
   > .table-responsive:last-child
   > .table:last-child
   > tbody:last-child
   > tr:last-child
   td:first-child,
 .panel
   > .table-responsive:last-child
   > .table:last-child
   > tbody:last-child
   > tr:last-child
   th:first-child,
 .panel
   > .table-responsive:last-child
   > .table:last-child
   > tfoot:last-child
   > tr:last-child
   td:first-child,
 .panel
   > .table-responsive:last-child
   > .table:last-child
   > tfoot:last-child
   > tr:last-child
   th:first-child,
 .panel > .table:last-child > tbody:last-child > tr:last-child td:first-child,
 .panel > .table:last-child > tbody:last-child > tr:last-child th:first-child,
 .panel > .table:last-child > tfoot:last-child > tr:last-child td:first-child,
 .panel > .table:last-child > tfoot:last-child > tr:last-child th:first-child {
   border-bottom-left-radius: initial;
   border-bottom-right-radius: 3px;
 }
 .panel
   > .table-responsive:last-child
   > .table:last-child
   > tbody:last-child
   > tr:last-child
   td:last-child,
 .panel
   > .table-responsive:last-child
   > .table:last-child
   > tbody:last-child
   > tr:last-child
   th:last-child,
 .panel
   > .table-responsive:last-child
   > .table:last-child
   > tfoot:last-child
   > tr:last-child
   td:last-child,
 .panel
   > .table-responsive:last-child
   > .table:last-child
   > tfoot:last-child
   > tr:last-child
   th:last-child,
 .panel > .table:last-child > tbody:last-child > tr:last-child td:last-child,
 .panel > .table:last-child > tbody:last-child > tr:last-child th:last-child,
 .panel > .table:last-child > tfoot:last-child > tr:last-child td:last-child,
 .panel > .table:last-child > tfoot:last-child > tr:last-child th:last-child {
   border-bottom-right-radius: initial;
   border-bottom-left-radius: 3px;
 }
 .panel > .table-bordered > tbody > tr > td:first-child,
 .panel > .table-bordered > tbody > tr > th:first-child,
 .panel > .table-bordered > tfoot > tr > td:first-child,
 .panel > .table-bordered > tfoot > tr > th:first-child,
 .panel > .table-bordered > thead > tr > td:first-child,
 .panel > .table-bordered > thead > tr > th:first-child,
 .panel > .table-responsive > .table-bordered > tbody > tr > td:first-child,
 .panel > .table-responsive > .table-bordered > tbody > tr > th:first-child,
 .panel > .table-responsive > .table-bordered > tfoot > tr > td:first-child,
 .panel > .table-responsive > .table-bordered > tfoot > tr > th:first-child,
 .panel > .table-responsive > .table-bordered > thead > tr > td:first-child,
 .panel > .table-responsive > .table-bordered > thead > tr > th:first-child {
   border-left: initial;
   border-right: 0;
 }
 .panel > .table-bordered > tbody > tr > td:last-child,
 .panel > .table-bordered > tbody > tr > th:last-child,
 .panel > .table-bordered > tfoot > tr > td:last-child,
 .panel > .table-bordered > tfoot > tr > th:last-child,
 .panel > .table-bordered > thead > tr > td:last-child,
 .panel > .table-bordered > thead > tr > th:last-child,
 .panel > .table-responsive > .table-bordered > tbody > tr > td:last-child,
 .panel > .table-responsive > .table-bordered > tbody > tr > th:last-child,
 .panel > .table-responsive > .table-bordered > tfoot > tr > td:last-child,
 .panel > .table-responsive > .table-bordered > tfoot > tr > th:last-child,
 .panel > .table-responsive > .table-bordered > thead > tr > td:last-child,
 .panel > .table-responsive > .table-bordered > thead > tr > th:last-child {
   border-right: initial;
   border-left: 0;
 }
 .embed-responsive .embed-responsive-item,
 .embed-responsive embed,
 .embed-responsive iframe,
 .embed-responsive object,
 .embed-responsive video {
   left: auto;
   right: 0;
 }
 .close {
   float: left;
 }
 .modal-footer {
   text-align: left;
 }
 .popover,
 .tooltip {
   text-align: right;
 }
 .modal-footer .btn + .btn {
   margin-left: 0;
   margin-right: 5px;
 }
 .modal-footer .btn-group .btn + .btn {
   margin-left: initial;
   margin-right: -1px;
 }
 .modal-footer .btn-block + .btn-block {
   margin-left: initial;
   margin-right: 0;
 }
 .tooltip.right {
   margin-left: initial;
   margin-right: 3px;
 }
 .tooltip.left {
   margin-left: initial;
   margin-right: -3px;
 }
 .tooltip.top .tooltip-arrow {
   left: auto;
   right: 50%;
   margin-left: initial;
   margin-right: -5px;
 }
 .tooltip.top-left .tooltip-arrow {
   right: auto;
   left: 5px;
 }
 .tooltip.top-right .tooltip-arrow {
   left: auto;
   right: 5px;
 }
 .tooltip.right .tooltip-arrow {
   left: auto;
   right: 0;
   border-width: 5px 0 5px 5px;
   border-right-color: initial;
   border-left-color: #000;
 }
 .tooltip.left .tooltip-arrow {
   right: auto;
   left: 0;
   border-width: 5px 5px 5px 0;
   border-left-color: initial;
   border-right-color: #000;
 }
 .popover.right > .arrow,
 .popover.right > .arrow:after {
   border-right-color: initial;
   border-left-width: initial;
   border-right-width: 0;
 }
 .tooltip.bottom .tooltip-arrow {
   left: auto;
   right: 50%;
   margin-left: initial;
   margin-right: -5px;
 }
 .tooltip.bottom-left .tooltip-arrow {
   right: auto;
   left: 5px;
 }
 .tooltip.bottom-right .tooltip-arrow {
   left: auto;
   right: 5px;
 }
 .popover {
   right: auto;
   left: 0;
 }
 .popover.right {
   margin-left: initial;
   margin-right: 10px;
 }
 .popover.left {
   margin-left: initial;
   margin-right: -10px;
 }
 .popover.top > .arrow {
   left: auto;
   right: 50%;
   margin-left: initial;
   margin-right: -11px;
 }
 .popover.top > .arrow:after {
   margin-left: initial;
   margin-right: -10px;
 }
 .popover.right > .arrow {
   left: auto;
   right: -11px;
   border-left-color: #999;
   border-left-color: rgba(0, 0, 0, 0.25);
 }
 .popover.right > .arrow:after {
   left: auto;
   right: 1px;
   border-left-color: #fff;
 }
 .popover.bottom > .arrow {
   left: auto;
   right: 50%;
   margin-left: initial;
   margin-right: -11px;
 }
 .popover.left > .arrow,
 .popover.left > .arrow:after {
   right: auto;
   border-right-width: initial;
   border-left-width: 0;
   border-left-color: initial;
 }
 .popover.bottom > .arrow:after {
   margin-left: initial;
   margin-right: -10px;
 }
 .popover.left > .arrow {
   left: -11px;
   border-right-color: #999;
   border-right-color: rgba(0, 0, 0, 0.25);
 }
 .popover.left > .arrow:after {
   left: 1px;
   border-right-color: #fff;
 }
 @media all and (transform-3d), (-webkit-transform-3d) {
   .carousel-inner > .item.active,
   .carousel-inner > .item.active.left,
   .carousel-inner > .item.active.right,
   .carousel-inner > .item.next,
   .carousel-inner > .item.next.left,
   .carousel-inner > .item.prev,
   .carousel-inner > .item.prev.right {
     left: auto;
     right: 0;
   }
 }
 .carousel-inner > .active {
   left: auto;
   right: 0;
 }
 .carousel-inner > .next {
   left: auto;
   right: 100%;
 }
 .carousel-inner > .prev {
   left: auto;
   right: -100%;
 }
 .carousel-inner > .next.left,
 .carousel-inner > .prev.right {
   left: auto;
   right: 0;
 }
 .carousel-inner > .active.left {
   left: auto;
   right: -100%;
 }
 .carousel-inner > .active.right {
   left: auto;
   right: 100%;
 }
 .carousel-control {
   left: auto;
   right: 0;
 }
 .carousel-control.right {
   right: auto;
   left: 0;
 }
 .carousel-control .glyphicon-chevron-left,
 .carousel-control .icon-prev {
   left: auto;
   right: 50%;
   margin-left: initial;
   margin-right: -10px;
 }
 .carousel-control .glyphicon-chevron-right,
 .carousel-control .icon-next {
   right: auto;
   left: 50%;
   margin-right: initial;
   margin-left: -10px;
 }
 .carousel-indicators {
   left: auto;
   right: 50%;
   margin-left: initial;
   margin-right: -30%;
 }
 @media screen and (min-width: 768px) {
   .carousel-control .glyphicon-chevron-left,
   .carousel-control .icon-prev {
     margin-left: initial;
     margin-right: -10px;
   }
   .carousel-control .glyphicon-chevron-right,
   .carousel-control .icon-next {
     margin-right: initial;
     margin-left: -10px;
   }
 }
 .pull-right {
   float: left !important;
 }
 .pull-left {
   float: right !important;
 }
 .notification {
  position: absolute;
  z-index: 1050; 
  width: 200px; 
  padding: 15px;
  border-radius: 5px;
  display: none; 
}

.notification.show {
  display: block; 
}

.notification-up {
  bottom: 100%; 
  top: auto;
}

.notification-down {
  top: 100%; 
  bottom: auto;
}

.notification-dropdown {
  max-height: 500px; 
  overflow-y: auto;  
}
 